<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Sellers\Controllers\SellersController;
use App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController;
use App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController;
use App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController;
use App\Http\ApiV1\Modules\Stores\Controllers\StoresController;
use App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController;
use Illuminate\Support\Facades\Route;

Route::post('sellers/sellers', [SellersController::class, 'create']);
Route::get('sellers/sellers/{id}', [SellersController::class, 'get']);
Route::delete('sellers/sellers/{id}', [SellersController::class, 'delete']);
Route::patch('sellers/sellers/{id}', [SellersController::class, 'patch']);
Route::post('sellers/sellers:search', [SellersController::class, 'search']);
Route::post('sellers/sellers:create', [SellersController::class, 'createWithOperator']);
Route::post('sellers/sellers:register', [SellersController::class, 'register']);
Route::post('stores/stores', [StoresController::class, 'create']);
Route::get('stores/stores/{id}', [StoresController::class, 'get']);
Route::patch('stores/stores/{id}', [StoresController::class, 'patch']);
Route::patch('stores/stores/{id}:extended', [StoresController::class, 'extendedPatch']);
Route::post('stores/stores:search', [StoresController::class, 'search']);
Route::post('stores/stores:search-one', [StoresController::class, 'searchOne']);
Route::post('stores/workings', [StoreWorkingsController::class, 'create']);
Route::get('stores/workings/{id}', [StoreWorkingsController::class, 'get']);
Route::delete('stores/workings/{id}', [StoreWorkingsController::class, 'delete']);
Route::patch('stores/workings/{id}', [StoreWorkingsController::class, 'patch']);
Route::patch('stores/workings/{id}:extended', [StoreWorkingsController::class, 'extendedPatch']);
Route::post('stores/workings:search', [StoreWorkingsController::class, 'search']);
Route::post('stores/contacts', [StoreContactsController::class, 'create']);
Route::get('stores/contacts/{id}', [StoreContactsController::class, 'get']);
Route::delete('stores/contacts/{id}', [StoreContactsController::class, 'delete']);
Route::patch('stores/contacts/{id}', [StoreContactsController::class, 'patch']);
Route::patch('stores/contacts/{id}:extended', [StoreContactsController::class, 'extendedPatch']);
Route::post('stores/contacts:search', [StoreContactsController::class, 'search']);
Route::post('stores/pickup-times', [StorePickupTimesController::class, 'create']);
Route::get('stores/pickup-times/{id}', [StorePickupTimesController::class, 'get']);
Route::delete('stores/pickup-times/{id}', [StorePickupTimesController::class, 'delete']);
Route::patch('stores/pickup-times/{id}', [StorePickupTimesController::class, 'patch']);
Route::patch('stores/pickup-times/{id}:extended', [StorePickupTimesController::class, 'extendedPatch']);
Route::post('stores/pickup-times:search', [StorePickupTimesController::class, 'search']);
Route::post('seller-users/operators', [OperatorsController::class, 'create']);
Route::get('seller-users/operators/{id}', [OperatorsController::class, 'get']);
Route::delete('seller-users/operators/{id}', [OperatorsController::class, 'delete']);
Route::patch('seller-users/operators/{id}', [OperatorsController::class, 'patch']);
Route::post('seller-users/operators:search', [OperatorsController::class, 'search']);
